<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- <xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema"> -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" >
<xsl:include href="XSL_Function.xslt"/>
	<xsl:template match="/">
		<html>

			<head>
				<title>I-SEM Invoice / Settlement Document</title>

				<style type="text/css">

					body {
						background-color: white;
					}

					p 
					{
						color: black;
						font-family: "Verdana";
						font-size: 12px;
					}
					
					h1 {
						color: blue;
						font-family: "Verdana";
						font-size: 20px;
					}

					h2 {
						color: green;
						font-family: "Verdana";
						font-size: 16px;
					}
					h3 {
						color: red;
						font-family: "Verdana";
						font-size: 16px;
					}
					h4 {
						color: black;
						font-family: "Verdana";
						font-size: 12px;
						font-weight: strong;
					}
					
					table {
						border-collapse: collapse;
						width: 100%;					
					}
					
					table, th, td {
						border: 1px solid black;
					} 
					
					#summtable {
						font-family: "Verdana";
						border-collapse: collapse;
						width: 100%;										
						font-size: 12px;
					}
					
					#summtable td, #summtable th {
						border: 1px solid #ddd;
						padding: 4px;
					}
					
					#summtable tr:nth-child(even){background-color: #f2f2f2;}
					
					#summtable th {
						text-align: left;
						color: black;
					}
					
					@media print {
						footer {page-break-after: always;}
					}
					 
				</style>

			</head>

			<body>
				
				<p><img alt="SEMO" src="logo.gif"/></p>
				
				<xsl:variable name="dtype" select="REPORT/REPORT_HEADER/@document_type" />
				
				<!-- HEADER RECORDS -->
				<xsl:for-each select="REPORT/REPORT_HEADER">
					
					<h1><xsl:value-of select="@document_type"/></h1>
<!--
					<xsl:variable name="doctype">
						<xsl:choose>
							<xsl:when test="@document_type='Settlement Document'">
							  <xsl:value-of select="0" />
							</xsl:when>
							<xsl:otherwise>"1"</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
-->
					<h2>Summary Information</h2>
						
					<table id="summtable">
						<tr>
							<td>Report Type</td>
							<td align="left"><xsl:value-of select="@report_type"/></td>
						</tr>
						<tr>
							<td>Market</td>
							<td align="left"><xsl:value-of select="@market"/></td>
						</tr>
						<tr>
							<td>Publication Date</td>
							<td align="left"><xsl:value-of select="@publication_date"/></td>
						</tr>
						<tr>
							<td>Publication Timestamp</td>
								<xsl:variable name="v_result" >
								
									<xsl:call-template name="convert_to_local_time">
										<xsl:with-param name="v_full"><xsl:value-of select="@publication_timestamp"/></xsl:with-param>
									</xsl:call-template>
								</xsl:variable>
								
							<td align="left"><xsl:value-of select="$v_result"/></td>
								
							
						</tr>
						<tr>
							<td>Participant ID</td>
							<td align="left"><xsl:value-of select="@participant_id"/></td>
						</tr>
						<tr>
							<td>Participant Name</td>
							<td align="left"><xsl:value-of select="@participant_name"/></td>
						</tr>
						<tr>
							<td>Document ID</td>
							<td align="left"><xsl:value-of select="@document_id"/></td>
						</tr>
						<tr>
							<td>Due Date</td>
							<td align="left"><xsl:value-of select="@due_date"/></td>
						</tr>
						<tr>
							<td>Document Currency</td>
							<td align="left"><xsl:value-of select="@document_currency"/></td>
						</tr>
					</table>
				
				</xsl:for-each>
				<!-- END HEADER RECORDS -->

				<!-- CONTACT RECORDS -->
				<xsl:for-each select="REPORT/CONTACT">

					<h2>Sender and Recipient Details</h2>

						<table id="summtable">
							<tr>
								<td>Sender ID</td>
								<td><xsl:value-of select="@sender_id"/></td>
								<td>Recipient ID</td>
								<td><xsl:value-of select="@recipient_id"/></td>
							</tr>
							<tr>
								<td>Sender Name</td>
								<td><xsl:value-of select="@sender_name"/></td>
								<td>Recipient Name</td>
								<td><xsl:value-of select="@recipient_name"/></td>
							</tr>
							<tr>
								<td>Sender Address</td>
								<td><xsl:value-of select="@sender_address"/></td>
								<td>Recipient Address</td>
								<td><xsl:value-of select="@recipient_address"/></td>
							</tr>
							<xsl:if test="$dtype!='Settlement Document'">
								<tr>
									<td>Sender VAT Number</td>
									<td><xsl:value-of select="@sender_gl_number"/></td>
									<td>Recipient VAT Number</td>
									<td><xsl:value-of select="@recipient_gl_number"/></td>
								</tr>
								<xsl:if test="$dtype='Invoice'">
									<tr>
										<td>VAT Jurisdiction</td>
										<td><xsl:value-of select="@vat_jurisdiction"/></td>
									</tr>
								</xsl:if>
								<xsl:if test="$dtype='Self-Billing Invoice'">
									<tr>
										<td> </td>
										<td> </td>
										<td>VAT Jurisdiction</td>
										<td><xsl:value-of select="@vat_jurisdiction"/></td>
									</tr>
								</xsl:if>
							</xsl:if>

						</table>

				</xsl:for-each>
				<!-- END CONTACT RECORDS -->

				<!-- SUMMARY RECORDS -->
				<xsl:for-each select="REPORT/REPORT_SUMMARY">
					<h2>Summary Information</h2>
					<h3>Payment Type: <xsl:value-of select="@payment_type"/></h3>
						<xsl:if test="$dtype='Settlement Document'">
							<table id="summtable">
								<tr>
									<th></th>
									<th>Total</th>
									<th>Local</th>
									<th>EU</th>
									<th>Non-EU</th>
								</tr>
								<tr>
									<td>Sales</td>
									<td align="right"><xsl:value-of select='format-number(@s_total,"###,##0.00")'/></td>
									<td align="right"><xsl:value-of select='format-number(@s_local,"###,##0.00")'/></td>
									<td align="right"><xsl:value-of select='format-number(@s_eu,"###,##0.00")'/></td>
									<td align="right"><xsl:value-of select='format-number(@s_neu,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Purchases</td>
									<td align="right"><xsl:value-of select='format-number(@p_total,"###,##0.00")'/></td>
									<td align="right"><xsl:value-of select='format-number(@p_local,"###,##0.00")'/></td>
									<td align="right"><xsl:value-of select='format-number(@p_eu,"###,##0.00")'/></td>
									<td align="right"><xsl:value-of select='format-number(@p_neu,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Interest</td>
									<td align="right"><xsl:value-of select='format-number(@interest,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Preliminary Total</td>
									<td align="right"><xsl:value-of select='format-number(@preliminary_total,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Reallocation Total</td>
									<td align="right"><xsl:value-of select='format-number(@reallocation_total,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Grand Total</td>
									<td align="right"><xsl:value-of select='format-number(@grand_total,"###,##0.00")'/></td>
								</tr>
							</table>
						</xsl:if>
						<xsl:if test="$dtype!='Settlement Document'">
							<table id="summtable">				
								<tr>
									<td>Net Amount</td>
									<td align="right"><xsl:value-of select='format-number(@net_amount,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>VAT Rate</td>
									<td align="right"><xsl:value-of select='format-number(@tax_rate*100,"###,##0.00")'/>%</td>
								</tr>
								<tr>
									<td>VAT Amount</td>
									<td align="right"><xsl:value-of select='format-number(@tax_amount,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Interest</td>
									<td align="right"><xsl:value-of select='format-number(@interest,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Preliminary Total Amount</td>
									<td align="right"><xsl:value-of select='format-number(@preliminary_total,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Settlement Reallocations</td>
									<td align="right"><xsl:value-of select='format-number(@reallocation_total,"###,##0.00")'/></td>
								</tr>
								<tr>
									<td>Grand Total</td>
									<td align="right"><xsl:value-of select='format-number(@grand_total,"###,##0.00")'/></td>
								</tr>
							</table>
						</xsl:if>
				</xsl:for-each>
				<!-- END SUMMARY RECORDS -->

				<!-- DETAIL RECORDS -->

				<!-- DETAIL RECORDS FOR INVOICE -->

				<h4>Further Information:</h4>
				<xsl:if test="$dtype!='Settlement Document'">
					<table id="summtable">
						<tr>
							<td>Run Type</td>
							<td>Billing Period Start Date</td>
							<td>Billing Period End Date</td>
							<td>Charge Name</td>
							<td>Net Amount</td>
							<td>VAT Rate</td>
							<td>VAT Amount</td>
							<td>Interest</td>
						</tr>
						<xsl:for-each select="REPORT/REPORT_DETAIL/DETAIL">
							<tr>
								<td align="left"><xsl:value-of select='@run_type'/></td>
								<td align="left"><xsl:value-of select='@bp_start_date'/></td>
								<td align="left"><xsl:value-of select='@bp_end_date'/></td>
								<td align="left"><xsl:value-of select='@charge_name'/></td>
								<td align="right"><xsl:value-of select='format-number(@net_amount,"###,##0.00")'/></td>
								<td align="right"><xsl:value-of select='format-number(@tax_rate*100,"###,##0.00")'/>%</td>
								<td align="right"><xsl:value-of select='format-number(@tax_amount,"###,##0.00")'/></td>
								<td align="right"><xsl:value-of select='format-number(@interest,"###,##0.00")'/></td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:if>
				
				<!-- END DETAIL RECORDS FOR INVOICE -->

				<!-- DETAIL RECORDS FOR SETTLEMENT DOCUMENT -->
				<xsl:if test="$dtype='Settlement Document'">
<!--
				<h2>Charge/Payment Details</h2>

				<table id="summtable">
						<tr>
							<td>Market</td>
							<td>Run Type</td>
							<td>Billing Period Start Date</td>
							<td>Billing Period End Date</td>
							<td>Charge Name</td>
							<td>Previous Gross Amount</td>
							<td>New Gross Amount</td>
							<td>Net Amount</td>
						</tr>
						<xsl:for-each select="REPORT/REPORT_DETAIL/DETAIL">
							<tr>
								<td><xsl:value-of select="@market"/></td>
								<td><xsl:value-of select="@run_type"/></td>
								<td><xsl:value-of select="@bp_start_date"/></td>
								<td><xsl:value-of select="@bp_end_date"/></td>
								<td><xsl:value-of select="@charge_name"/></td>
								<td align="right"><xsl:value-of select="@previous_gross_amount"/></td>
								<td align="right"><xsl:value-of select="@new_gross_amount"/></td>
								<td align="right"><xsl:value-of select="@net_amount"/></td>
							</tr>
							<xsl:for-each select="SALES">
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>Sales - Total</td>
									<td align="right"><xsl:value-of select="@s_total_prev"/></td>
									<td align="right"><xsl:value-of select="@s_total"/></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>Sales - Local</td>
									<td align="right"><xsl:value-of select="@s_local_prev"/></td>
									<td align="right"><xsl:value-of select="@s_local"/></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>Sales - EU</td>
									<td align="right"><xsl:value-of select="@s_eu_prev"/></td>
									<td align="right"><xsl:value-of select="@s_eu"/></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>Sales - Non-EU</td>
									<td align="right"><xsl:value-of select="@s_neu_prev"/></td>
									<td align="right"><xsl:value-of select="@s_neu"/></td>
								</tr>
							</xsl:for-each>
							<xsl:for-each select="PURCHASES">
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>Purchases - Total</td>
									<td align="right"><xsl:value-of select="@p_total_prev"/></td>
									<td align="right"><xsl:value-of select="@p_total"/></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>Purchases - Local</td>
									<td align="right"><xsl:value-of select="@p_local_prev"/></td>
									<td align="right"><xsl:value-of select="@p_local"/></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>Purchases - EU</td>
									<td align="right"><xsl:value-of select="@p_eu_prev"/></td>
									<td align="right"><xsl:value-of select="@p_eu"/></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>Purchases - Non-EU</td>
									<td align="right"><xsl:value-of select="@p_neu_prev"/></td>
									<td align="right"><xsl:value-of select="@p_neu"/></td>
								</tr>
							</xsl:for-each>
						</xsl:for-each>
				</table>
-->
				</xsl:if>
				<!-- END DETAIL RECORDS FOR SETTLEMENT DOCUMENT -->

				<!-- END DETAIL RECORDS -->

				<!-- TRACKER RECORDS -->
<!--
				<h2>Tracking Information</h2>
				<table id="summtable">
						<tr>
							<td>Statement Date</td>
							<td>Statement ID</td>
							<td>Run Type</td>
							<td>Market</td>
							<td>Charge Name</td>
							<td>Charge Amount</td>
						</tr>
						<xsl:for-each select="REPORT/REPORT_TRACKING/TRACKING">
							<tr>
								<td><xsl:value-of select="@statement_date"/></td>
								<td><xsl:value-of select="@statement_id"/></td>
								<td><xsl:value-of select="@run_type"/></td>
								<td><xsl:value-of select="@market"/></td>
								<td><xsl:value-of select="@charge_name"/></td>
								<td align="right"><xsl:value-of select="@charge_amount"/></td>
								</tr>
						</xsl:for-each>
				</table>
-->
				<!-- END TRACKER RECORDS -->

			<!-- REPORT_SRA RECORDS -->
<!--
				<h2>SRA Information</h2>
					<table id="summtable">
						<tr>
							<td>SRA Counterparty</td>
							<td>SRA Amount</td>
						</tr>
						<xsl:for-each select="REPORT/REPORT_SRA/SRA">
							<tr>
								<td><xsl:value-of select="@sra_counterparty"/></td>
								<td align="right"><xsl:value-of select="@sra_amount"/></td>
							</tr>
						</xsl:for-each>
					</table>
-->
			<!-- VAT STANDARD INFORMATION RECORDS -->
				<xsl:if test="$dtype='Settlement Document'">
					<h2>VAT Information</h2>
						<p><xsl:value-of select="//STANDARD_INFORMATION/VAT_TEXT[@line='1']" /></p>
						<p><xsl:value-of select="//STANDARD_INFORMATION/VAT_TEXT[@line='2']" /></p>
						<p><xsl:value-of select="//STANDARD_INFORMATION/VAT_TEXT[@line='3']" /></p>
						<p><xsl:value-of select="//STANDARD_INFORMATION/VAT_TEXT[@line='4']" /></p>
						<p><xsl:value-of select="//STANDARD_INFORMATION/VAT_TEXT[@line='5']" /></p>
						<p><xsl:value-of select="//STANDARD_INFORMATION/VAT_TEXT[@line='6']" /></p>
						<p><xsl:value-of select="//STANDARD_INFORMATION/VAT_TEXT[@line='7']" /></p>
						<p><xsl:value-of select="//STANDARD_INFORMATION/VAT_TEXT[@line='8']" /></p>
				</xsl:if>
				<xsl:if test="$dtype!='Settlement Document'">
					<h2>VAT Information</h2>
						<p><xsl:value-of select="//MO_STANDARD_INFORMATION/VAT_TEXT[@line='1']" /></p>
						<p><xsl:value-of select="//MO_STANDARD_INFORMATION/VAT_TEXT[@line='2']" /></p>
						<p><xsl:value-of select="//MO_STANDARD_INFORMATION/VAT_TEXT[@line='3']" /></p>
						<p><xsl:value-of select="//MO_STANDARD_INFORMATION/VAT_TEXT[@line='4']" /></p>
				</xsl:if>
			</body>
		</html> 
	</xsl:template>
	


</xsl:stylesheet>
